#ifndef PONGER_H
#define PONGER_H

#include "Ball.h"

class CPonger
{
public:
	CPonger(bool bPlayer);
	void Reset(bool bPlayer);
	void Render(sf::RenderWindow &rw);
	void Update(bool bPlayer, sf::Event &Event, sf::RenderWindow &rw, CBall *pBall);
	void SetPosition(sf::Vector2f offset);

	sf::IntRect m_PongerRect;

private:
	sf::Clock m_Clock;
	float m_fTime;
	sf::Shape m_PongerShape;
	sf::Vector2f m_Position;
	bool m_bGegnerIsSecondPlayer;
};
#endif